﻿using Entities.SQLudeoDB;
using Model.Business;
using Model.DTO;

namespace Services
{
    public interface IDataService
    {
        public IEnumerable<UserDTO> GetUsers(int page, int number);
        public UserDTO GetUserById(int id);
        public UserDTO GetUserByUsername(string username);
        public bool DeleteUser(int id);
        public UserDTO UpdateUser(int id, UserDTO user);
        public UserDTO CreateUser(string username, string password, string email, bool isAdmin);
        public IEnumerable<InquiryDTO> GetInquiries(int page, int number);
        public InquiryDTO GetInquiryById(int id);
        public InquiryDTO GetInquiryByTitle(string title);
        public bool DeleteInquiry(int id);
        public InquiryDTO UpdateInquiry(int id, InquiryDTO inquiry);
        public UserDTO CreateInquiry(string title, string description, bool isUser, InquiryTableEntity database, SolutionEntity inquiryTable);
        public IEnumerable<InquiryDTO> GetLessons(int page, int number);
        public InquiryDTO GetLessonById(int id);
        public InquiryDTO GetLessonByTitle(string title);
        public bool DeleteLesson(int id);
        public InquiryDTO UpdateLesson(int id, LessonDTO lesson);
        public UserDTO CreateLesson(string title, string lastPublisher, DateOnly lastEdit);
    }
}
